---
title: Select an element
slug: Tools/Page_Inspector/How_to/Select_an_element
tags:
  - Guide
  - Inspector
  - Tools
---
<div>{{ToolsSidebar}}</div><p>The <em>selected element</em> is the element in the page that the Inspector is currently focused on. The selected element is shown in the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#HTML_pane">HTML pane</a> and its CSS is displayed in the <a href="/en-US/docs/Tools/Page_Inspector/UI_Tour#CSS_pane">CSS pane</a>.</p>

<p>The <em>highlighted element</em> is the element that's overlaid in the page with a graphic showing the box model, and a tooltip showing its tag and size:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/14516/inspector-highlighted.png" style="display: block; height: 779px; margin-left: auto; margin-right: auto; width: 1034px;"></p>

<h2 id="With_the_context_menu">With the context menu</h2>

<p>To open the Inspector and select an element immediately, activate the context menu over the element in the page and select "Inspect Element":</p>

<p>{{EmbedYouTube("db83PCnPiNM")}}</p>

<h2 id="With_the_HTML_pane">With the HTML pane</h2>

<p>When the inspector is open, as you move the mouse around the elements listed in the HTML pane, the corresponding elements are highlighted in the page. Click an element in the HTML pane to select it:</p>

<p>{{EmbedYouTube("EojH_vCMesI")}}</p>

<p>You can also use the arrow keys to move around the DOM with the keyboard.</p>

<h2 id="With_the_node_picker">With the node picker</h2>

<p>To select an element in the page itself, activate the "node picker" by clicking its icon: <img alt="" src="https://mdn.mozillademos.org/files/14518/node-picker.png" style="height: 16px; margin-bottom: -4px; width: 18px;"> (also called the <em>Select Element</em> icon). After that, as you move the mouse around the page, the element under the mouse is highlighted. Click the element to select it:</p>

<p>{{EmbedYouTube("Ss_fJz0zaxA")}}</p>

<p>Starting in Firefox 52, if you <kbd>Shift</kbd> + click the element, then it is selected but the picker stays active. This lets you see the rules for the element in the CSS pane, but conveniently select another element in the page.</p>
